Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.springframework.expression.spel.ast
Enum TypeCode

    java.lang.Object
      java.lang.Enum<TypeCode>
          org.springframework.expression.spel.ast.TypeCode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TypeCode>

    public enum TypeCode

extends java.lang.Enum<TypeCode>

Captures primitive types and their corresponding class objects, plus one special entry that represents all reference (non-primitive) types.

Author:
  Andy Clement

Enum Constant Summary
`BOOLEAN`
`BYTE`
`CHAR`
`DOUBLE`
`FLOAT`
`INT`
`LONG`
`OBJECT`
`SHORT`

Method Summary
`static TypeCode` | `forClass(java.lang.Class<?> c)`
`static TypeCode` | `forName(java.lang.String name)`
`java.lang.Class<?>` | `getType()`
`static TypeCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TypeCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OBJECT

    public static final TypeCode OBJECT

### BOOLEAN

    public static final TypeCode BOOLEAN

### BYTE

    public static final TypeCode BYTE

### CHAR

    public static final TypeCode CHAR

### SHORT

    public static final TypeCode SHORT

### INT

    public static final TypeCode INT

### LONG

    public static final TypeCode LONG

### FLOAT

    public static final TypeCode FLOAT

### DOUBLE

    public static final TypeCode DOUBLE

Method Detail

### values

    public static TypeCode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TypeCode c : TypeCode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TypeCode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getType

    public java.lang.Class<?> getType()

### forName

    public static TypeCode forName(java.lang.String name)

### forClass

    public static TypeCode forClass(java.lang.Class<?> c)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD